### Method

# Devhelp BookList get_books

since: 3.30

#### Declaration [src]

    GList*
    dh_book_list_get_books (
      DhBookList* book_list
    )

#### Description [src]

Gets the list of `DhBook`‘s part of `book_list`, in no particular order. Each book ID in the list is unique (see dh_book_get_id()).

Available since: 3.30

#### Return value

Type: A list of `DhBook*`

The `GList` of `DhBook`‘s part of `book_list`.

The returned data is owned by the instance.